Get Predictions

Get Predictions
Get Predictions for given predictionId

Get Predictions for given predictionId

Request
URI
GET
https://{server}/hybridity/api/mobility/groups/{migrationGroupId}/predictions
COPY
Path Parameters
string
migrationGroupId
Required

Migration Group ID


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns migrationPredictionGetResponse of type(s) application/json
{
    "migrationGroupId": "string",
    "status": "string",
    "requestedTime": 0,
    "predictionTime": 0,
    "predictionId": "string",
    "migrations": [
        {
            "entity": {
                "id": "string",
                "type": "string"
            },
            "predictions": {
                "timeToComplete": 0,
                "distribution": [
                    {
                        "migrationPhase": "string",
                        "prediction": 0
                    }
                ]
            }
        }
    ],
    "errors": [
        {
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ]
}
string
migrationGroupId
Optional

migrationGroupId

string
status
Optional

status

integer As int64 As int64
requestedTime
Optional

requestedTime

integer As int64 As int64
predictionTime
Optional

predictionTime

string
predictionId
Optional

predictionId

array of object
migrations
Optional

migrations

array of object
errors
Optional

errors


400

Bad Request

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/mobility/groups/{migrationGroupId}/predictions